Public Interface IStatisticsObserver
    Sub UpdateFailCount(failCount As Integer)

    Sub UpdatePassCount(passCount As Integer)


    Sub UpdateValidCount(validCount As Integer)

    Sub UpdateInvalidCount(invalidCount As Integer)

    Sub UpdateSumCount(sumCount As Integer)


    Sub UpdateYield(yield As Double)
End Interface
